/****************************************************************************
 * 다음버튼 -비밀번호 재설정
 ****************************************************************************/
function fn_updateUserPassword() {
    let membershipPassword = $("#membershipPassword").val();
    let  passwordCheck= $("#passwordCheck").val();

    if(true != fn_emptyCheck(membershipPassword)){
        modalEvent.warning("등록", "비밀번호를 입력하세요");
        return;
    }

    if(true != fn_emptyCheck(passwordCheck)){
        modalEvent.warning("등록", "비밀번호 재확인을 입력하세요");
        return;
    }

    if(membershipPassword!==passwordCheck){
        modalEvent.warning("등록", "비밀번호가 일치하지 않습니다.");
        return;
    }
    // 폼을 동적으로 생성하여 전송
    let newForm = $("<form></form>");
    newForm.attr("name", "submitForm");
    newForm.attr("method", "POST");
    newForm.attr("action", encodeURI('/mobileuser/updateUserPassword.do')); // 대상 URL 설정

    // 입력된 데이터 추가
    newForm.append($('<input/>', { type: 'hidden', name: 'userPhoneNumber', value: userPhoneNumber }));
    newForm.append($('<input/>', { type: 'hidden', name: 'membershipAccount', value: membershipAccount }));
    newForm.append($('<input/>', { type: 'hidden', name: 'membershipPassword', value: membershipPassword }));
    newForm.append($('<input/>', { type: 'hidden', name: 'passwordCheck', value: passwordCheck }));

    // 페이지에 폼 추가 및 제출
    newForm.appendTo('body');
    newForm.submit();
}
function fn_errorMsgPop(){
    modalEvent.warning('오류',errorMsg)
}

/****************************************************************************
 * 페이지 init
 ****************************************************************************/
function fn_pageInit() {
    if(errorMsg){
        fn_errorMsgPop()
    }
}

/****************************************************************************
 * 페이지 event
 ****************************************************************************/
function fn_pageEvent() {
    // 다음버튼
    $("#btn_selectUserPhoneNumber").click(function () {
        fn_selectUserPhoneNumber();
    });

    $("#back_btn").click(function () {
        location.href='/mobile'
    });

}

$(function () {
    // 페이지 init
    fn_pageInit();

    // 페이지 event
    fn_pageEvent();
});